<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>favourites</title>
    <link rel="icon" type="image/x-icon" href="/pictures/favicon.ico">
    <!--font awesome icon-->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css"
        integrity="sha512-Fo3rlrZj/k7ujTnHg4CGR2D7kSs0v4LLanw2qksYuRlEzO+tcaEPQogQ0KaoGN26/zrn20ImR1DfuLWnOo7aBA=="
        crossorigin="anonymous" referrerpolicy="no-referrer" />
    <!--bootstrap-->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <!--swiper-->
    <link rel="stylesheet" href="https://unpkg.com/swiper@7/swiper-bundle.min.css" />

    <link href="css/common.css" rel="stylesheet">
    <!-- <link href="css/index.css" rel="stylesheet"> -->
    <link href="css/favourites.css" rel="stylesheet">

</head>

<body>
    <!-- navbar -->
    <nav class="navbar navbar-light bg-light">
        <a class="navbar-brand" title="Waifu Home" href="/">WAIFU</a>
        <form class="d-flex">
            <input class="form-control me-2" type="search" placeholder="Search" aria-label="Search">
            <button class="btn btn-outline-success" type="submit">Search</button>
        </form>
        <div class="group1 d-flex">
            <!--user history-->
            <button type="button" class="btn" title="watch history">
                <i class="fas fa-history"></i>
            </button>
            <!--favorite-->
            <button type="button" class="btn" title="bookmark">
                <i class="far fa-bookmark"></i>
            </button>
            <!--login btn-->
            <a href="login.html" class="btn btn-primary">
                <i class="far fa-user-circle"></i> login
            </a>
        </div>
    </nav>

    <!-- the left hand side column -->
    <div id='leftcolumn'>
        <img src="picture/guest.png" alt="avatar" width="100" height="100" class="avatar" id="aItemLeft">
        <object id="bItemLeft">avatar</object>


        <small id="cItemLeft">username</small>

        <object width="100" height="100" type="text/plain" data="userinfo/test.txt" border="0" id="dItemLeft">
        </object>

        <object width="100" height="100" type="text/plain" data="userinfo/fav.txt" border="0" id="eItemLeft">
        </object>
    </div>



    <div id='rightcolumn'>

        <!-- div for inserting favList boxes -->
        <div id="favList"></div>


        <!-- fetch episode ids from database -->
        <script>

            var divForFav = document.getElementById("favList");

            let userId = document.getElementById("cItemLeft").innerHTML
            // document.getElementById("cItemLeft").innerHTML = "Paragraph changed!"
            console.log(userId)
            let userEpisodeId = [1, 2, 3, 4]
            let length = userEpisodeId.length;

            for (i = 0; i < length; i++) {
                // create the boxes of favourites
                var newDiv = document.createElement('div');
                newDiv.className = "favItems";
                newDiv.innerHTML = '<img src="picture/guest.png" alt="picOfSeries" width="100" height="100" class="picOfSeries"><object class="Title">Title</object><a href="targetepisose.ts" class="episode">episode</a>';
                divForFav.prepend(newDiv);
            }

        </script>







        <!-- create according to fetch -->


        <!-- <img src="picture/guest.png" alt="picOfSeries" width="300" height="300" class="avatar">
        <object>Title</object>
        <a href="targetepisose.ts">episode</a> -->





        <!-- way to create multiple boxes! -->
        <!-- <script>
    https://ithelp.ithome.com.tw/articles/10191867
    // https://stackoverflow.com/questions/63436487/is-there-any-way-to-use-the-same-code-multiple-times-in-html-code-reusability
    document.addEventListener('DOMContentLoaded', function () {
        var titles = document.querySelectorAll('.card-title');
        for (i = 0; i < titles.length; i++) {
            var span = document.createElement('span');
            span.innerHTML = '<svg role="img" viewBox="0 0 20 20" height="20px" width="20px"><path fill="#ffffff" d="M4 9H3V8h1v1zm0-3H3v1h1V6zm0-2H3v1h1V4zm0-2H3v1h1V2zm8-1v12c0 .55-.45 1-1 1H6v2l-1.5-1.5L3 16v-2H1c-.55 0-1-.45-1-1V1c0-.55.45-1 1-1h10c.55 0 1 .45 1 1zm-1 10H1v2h2v-1h3v1h5v-2zm0-10H2v9h9V1z"></path></svg>';
            titles[i].prepend(span);
        }
    })


</script> -->




    </div>



    <script src="js/favourites.js" type="module"></script>
    <!-- <script src="js/carousel.js"></script> -->
    <!-- <script src="js/index.js"></script>
        <script src="js/swiper.js"></script> -->
</body>

</html>